#
# Install script for a single instance of the application process
# Assumes: JAVA_HOME environment variable points at your JVM
#        : The UCD udclient is in the current directory or on your path
#
if ( $args.count -eq 5)
{
    $ROLENAME= $args[0]
    $AUTHTOKEN= $args[1]
    $SERVERHOST=$args[2]
    $ADMINUSER=$args[3]
    $ADMINPW=$args[4]
    filter sed($before,$after) { %{$_ -replace $before,$after} }
    filter grep($keyword) { if ( ($_ | Out-String) -like "*$keyword*") { $_ } } 
    $apps = udclient '--weburl' "https://${SERVERHOST}" '--username' "${ADMINUSER}" '--password' "${ADMINPW}" 'getApplications' | grep '"name":' |  sed '    "name": ' '' | sed ',' ''
	write-host	$apps
    ForEach ( $app in $apps)
    {
		$AppNoQuotes = $app | sed '"' ''
        cat updateStatusAppProcess.json | sed "xxAppNamexx" "$AppNoQuotes" | sed "xxAUTHTOKENxx" "$AUTHTOKEN" | sed "xxSERVERHOSTxx" "$SERVERHOST" | sed "xxRolexx" "$ROLENAME" | udclient "--weburl" "https://${SERVERHOST}" "--username" "$ADMINUSER" "--password" "$ADMINPW" "createApplicationProcess" "-"
    }
}
else
{
	Write-Host "Arguments are RoleName UCDAuthToken ServerHostName:Port UCDAdminUser UCDPassword"
}
