#!/bin/bash
# This script configures the import for the specfic instance of the application
if [ $# != 5 ] ; then
	echo "Arguments are: RoleName UCDAuthToken ServerHostName:Port UCDAdminUser UCDPassword"
else
	ROLENAME=$1
	AUTHTOKEN=$2
	SERVERHOST=$3
	ADMINUSER=$4
	ADMINPW=$5

	# Get the list of all apps in the system
	apps=`udclient --weburl https://${SERVERHOST} --username ${ADMINUSER} --password ${ADMINPW} getApplications | grep name | sed -e 's/^ *"name": //' -e 's/,$//' -e 's/ /%/g' `

	# Now loop through each app and add the process to it - note spaces in names were converted to % in previous step and will be removed below - this is to make the loop work properly 
	for app in  ${apps} 
	do
		appNoQuotes=`echo $app | sed -e 's/\"//g' -e 's/%/ /g'`
		echo "Adding process to application: ${appNoQuotes}"
		sed -e "s/xxAppNamexx/${appNoQuotes}/" -e "s/xxAUTHTOKENxx/${AUTHTOKEN}/" -e "s/xxSERVERHOSTxx/${SERVERHOST}/" -e "s/xxRolexx/${ROLENAME}/" updateStatusAppProcess.json | udclient --weburl https://${SERVERHOST} --username "${ADMINUSER}" --password "${ADMINPW}" createApplicationProcess -
	done
fi
